Bug 887246 - [abrt] Do not touch [org.gnome.evolution] in evolution-rspam.convert
Summary: [abrt] Do not touch [org.gnome.evolution] in evolution-rspam.convert
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-rss
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0c87bd3b3a786e484254cc674cb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 12:56 UTC by Braden McDaniel
Modified: 2014-02-05 23:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:18:28 UTC


Attachments (Terms of Use)
File: backtrace (22.72 KB, text/plain)
2012-12-14 12:56 UTC, Braden McDaniel
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-14 12:56 UTC, Braden McDaniel
no flags Details
File: core_backtrace (1.02 KB, text/plain)
2012-12-14 12:56 UTC, Braden McDaniel
no flags Details
File: dso_list (2.11 KB, text/plain)
2012-12-14 12:56 UTC, Braden McDaniel
no flags Details
File: environ (1.21 KB, text/plain)
2012-12-14 12:56 UTC, Braden McDaniel
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-14 12:57 UTC, Braden McDaniel
no flags Details
File: maps (10.86 KB, text/plain)
2012-12-14 12:57 UTC, Braden McDaniel
no flags Details
File: open_fds (359 bytes, text/plain)
2012-12-14 12:57 UTC, Braden McDaniel
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2012-12-14 12:57 UTC, Braden McDaniel
no flags Details
File: var_log_messages (1.49 KB, text/plain)
2012-12-14 12:57 UTC, Braden McDaniel
no flags Details
evolution-rspam-0.6.0-convert-fix.patch (599 bytes, patch)
2013-05-02 09:50 UTC, Milan Crha
no flags Details | Diff

Description Braden McDaniel 2012-12-14 12:56:50 UTC
Version-Release number of selected component:
GConf2-3.2.5-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        gsettings-data-convert
crash_function: g_settings_schema_get_value
executable:     /usr/bin/gsettings-data-convert
kernel:         3.6.10-4.fc18.x86_64
remote_result:  709797
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 g_settings_schema_get_value at gsettingsschema.c:640
 #3 g_settings_schema_key_init at gsettingsschema.c:751
 #4 g_settings_set_value at gsettings.c:1350
 #5 g_settings_set at gsettings.c:1449
 #6 handle_file at gsettings-data-convert.c:241
 #7 handle_dir at gsettings-data-convert.c:436

Comment 1 Braden McDaniel 2012-12-14 12:56:52 UTC
Created attachment 663566 [details]
File: backtrace

Comment 2 Braden McDaniel 2012-12-14 12:56:54 UTC
Created attachment 663567 [details]
File: cgroup

Comment 3 Braden McDaniel 2012-12-14 12:56:56 UTC
Created attachment 663568 [details]
File: core_backtrace

Comment 4 Braden McDaniel 2012-12-14 12:56:57 UTC
Created attachment 663569 [details]
File: dso_list

Comment 5 Braden McDaniel 2012-12-14 12:56:59 UTC
Created attachment 663570 [details]
File: environ

Comment 6 Braden McDaniel 2012-12-14 12:57:01 UTC
Created attachment 663571 [details]
File: limits

Comment 7 Braden McDaniel 2012-12-14 12:57:03 UTC
Created attachment 663572 [details]
File: maps

Comment 8 Braden McDaniel 2012-12-14 12:57:05 UTC
Created attachment 663573 [details]
File: open_fds

Comment 9 Braden McDaniel 2012-12-14 12:57:07 UTC
Created attachment 663574 [details]
File: proc_pid_status

Comment 10 Braden McDaniel 2012-12-14 12:57:09 UTC
Created attachment 663575 [details]
File: var_log_messages

Comment 11 NM 2013-01-16 19:54:38 UTC
Same here. 
$ uname -a
Linux hostname.home 3.7.2-201.fc18.x86_64 #1 SMP Fri Jan 11 22:16:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Thanks for reporting.

Comment 12 benvdh 2013-02-17 16:43:01 UTC
Every time I login to the cinnamon desktop this error appears.

backtrace_rating: 4
Package: GConf2-3.2.5-3.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)

Comment 13 Sergio Monteiro Basto 2013-04-29 02:19:49 UTC
I just start a gnome window session which I don't do it some time ago maybe first time wuth Fedora 18

backtrace_rating: 4
cmdline:        gsettings-data-convert
crash_function: g_settings_schema_get_value
executable:     /usr/bin/gsettings-data-convert
kernel:         3.8.9-200.fc18.x86_64
package:        GConf2-3.2.6-2.fc18
reason:         Process /usr/bin/gsettings-data-convert was killed by signal 5 (SIGTRAP)
uid:            500
ureports_counter: 5

Comment 14 Sergio Monteiro Basto 2013-04-29 03:00:25 UTC
gsettings-data-convert crash with this message 

Settings schema 'org.gnome.evolution' does not contain a key named 'last-upgraded-version' 

edit /usr/share/GConf/gsettings/evolution-rspam.convert and remove line with last-upgraded-version = /apps/evolution/last_version

solve the problem.

Comment 15 Milan Crha 2013-05-02 09:42:53 UTC
Thanks for a bug report (and Sergio for a ping on bug #886881). This is an issue in evolution-rspam, thus let's move it there.

Comment 16 Milan Crha 2013-05-02 09:50:17 UTC
Created attachment 742571 [details]
evolution-rspam-0.6.0-convert-fix.patch

This is a patch which removed [org.gnome.evolution] from evolution-rspam.convert file, because these kyes are supposed to be handled by evolution itself, not by evolution-rspam.

Cooly, could you incorporate it into the upstream version, please?

I'll build an update for f18, f19 and rawhide meanwhile.

Comment 17 Fedora Update System 2013-05-02 13:08:46 UTC
evolution-rss-0.3.92-2.fc18,evolution-rspam-0.6.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.92-2.fc18,evolution-rspam-0.6.0-3.fc18

Comment 18 Fedora Update System 2013-05-02 13:10:14 UTC
evolution-rss-0.3.93-3.fc19,evolution-rspam-0.6.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.93-3.fc19,evolution-rspam-0.6.0-5.fc19

Comment 19 Sergio Monteiro Basto 2013-05-04 01:24:49 UTC
yum --advisory=FEDORA-2013-7301 update --enablerepo=updates-testing
(...)
Transaction Test Succeeded
Running Transaction
I/O warning : failed to load external entity "/etc/gconf/schemas/evolution-rss.schemas"
Failed to open `/etc/gconf/schemas/evolution-rss.schemas': No such file or directory
  Updating   : 1:evolution-rss-0.3.92-2.fc18.x86_64                                                1/4
(...)
 Cleanup    : evolution-rspam-0.6.0-1.fc18.x86_64                                                 4/4 
warning: Schema 'org.freedesktop.Geoclue' has path '/apps/geoclue/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.Telepathy.Logger' has path '/apps/telepathy-logger/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.gstreamer-0.10.default-elements' has path '/desktop/gstreamer/0.10/default-elements/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.Cheese' has path '/apps/cheese/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.Vino' has path '/desktop/gnome/remote-access/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.crypto.cache' has path '/desktop/gnome/crypto/cache/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.crypto.pgp' has path '/desktop/gnome/crypto/pgp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.seahorse' has path '/apps/seahorse/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.seahorse.manager' has path '/apps/seahorse/listing/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.locale' has path '/system/locale/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy' has path '/system/proxy/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.http' has path '/system/proxy/http/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.https' has path '/system/proxy/https/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.ftp' has path '/system/proxy/ftp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.socks' has path '/system/proxy/socks/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
  Verifying  : evolution-rspam-0.6.0-3.fc18.x86_64                                                 1/4

(...) 

I/O  warning !?

Comment 20 Milan Crha 2013-05-06 12:30:13 UTC
(In reply to comment #19)
> yum --advisory=FEDORA-2013-7301 update --enablerepo=updates-testing
> (...)
> Transaction Test Succeeded
> Running Transaction
> I/O warning : failed to load external entity
> "/etc/gconf/schemas/evolution-rss.schemas"
> Failed to open `/etc/gconf/schemas/evolution-rss.schemas': No such file or
> directory
>   Updating   : 1:evolution-rss-0.3.92-2.fc18.x86_64                         
> 1/4
> (...)
>  Cleanup    : evolution-rspam-0.6.0-1.fc18.x86_64                           
> .....
> (...) 
> 
> I/O  warning !?

Weird, I didn't see this one before.

Comment 21 Milan Crha 2013-05-06 12:36:08 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > I/O warning : failed to load external entity
> > "/etc/gconf/schemas/evolution-rss.schemas"
> > Failed to open `/etc/gconf/schemas/evolution-rss.schemas': No such file or
> > directory
> >   Updating   : 1:evolution-rss-0.3.92-2.fc18.x86_64                         
> 
> Weird, I didn't see this one before.

I do not maintain the package, but from what I see I guess the reason is that the %pre and %preun sections still touch GConf schemas file, while the sources got ported to GSettings, thus this .schemas file is gone.

Comment 22 Sergio Monteiro Basto 2013-05-08 20:16:33 UTC
(In reply to comment #21)
> (In reply to comment #20)
> > (In reply to comment #19)
> > > I/O warning : failed to load external entity
> > > "/etc/gconf/schemas/evolution-rss.schemas"
> > > Failed to open `/etc/gconf/schemas/evolution-rss.schemas': No such file or
> > > directory
> > >   Updating   : 1:evolution-rss-0.3.92-2.fc18.x86_64                         
> > 
> > Weird, I didn't see this one before.
> 
> I do not maintain the package, but from what I see I guess the reason is
> that the %pre and %preun sections still touch GConf schemas file, while the
> sources got ported to GSettings, thus this .schemas file is gone.

So should we change this bug to evolution-rss to save work or open a new one ?

Comment 23 Milan Crha 2013-05-09 06:11:34 UTC
(In reply to comment #22)
> So should we change this bug to evolution-rss to save work or open a new one
> ?

I'd prefer to open a new bug for the .spec file issue, to not mix multiple things into one bug report.

Comment 24 Fedora Update System 2013-05-09 18:51:02 UTC
evolution-rss-0.3.93-3.fc19, evolution-rspam-0.6.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2013-05-11 00:27:15 UTC
evolution-rss-0.3.92-2.fc18, evolution-rspam-0.6.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Klaus Heinrich Kiwi 2013-07-04 21:18:56 UTC
I just upgraded to Fedora 19 and still see this issue. core_backtrace.txt reads:

ada00c68b706552c2bfdc4f42c8f5cdbab8c6970 0x4ec87 g_logv /lib64/libglib-2.0.so.0 1837d04939f03b6aa855c3ea8b453caa60fd11c6
ada00c68b706552c2bfdc4f42c8f5cdbab8c6970 0x4ee52 g_log /lib64/libglib-2.0.so.0 9c3b7408b09823ee507816e66eb9ebd2d6938139
3efd1212c06a44181ac10e075690bb79e6d7f8f2 0xa92ff g_settings_schema_get_value /lib64/libgio-2.0.so.0 65f3f4f6b581b54cee38e82252b32cf4ec6e89a6
3efd1212c06a44181ac10e075690bb79e6d7f8f2 0xa950c g_settings_schema_key_init /lib64/libgio-2.0.so.0 04d14b5c03ed025464bf6592a33762748b8685a6
3efd1212c06a44181ac10e075690bb79e6d7f8f2 0xad01e g_settings_set_value /lib64/libgio-2.0.so.0 6b262d1725315fb0a60f28d4b750717e7bbe527c
3efd1212c06a44181ac10e075690bb79e6d7f8f2 0xad27d g_settings_set /lib64/libgio-2.0.so.0 e2b41c530de6ea556278dc2a347d395f8e9b3d9c
819ba62935c225a9f07a81e09588691ad7b0627d 0x33b7 handle_file /usr/bin/gsettings-data-convert 566dbfffc970f5a824690639a9611d96387bff46
819ba62935c225a9f07a81e09588691ad7b0627d 0x2840 main /usr/bin/gsettings-data-convert 5a969d072cfcd26ef45c7ba980688f276c0f9e85

Comment 27 Milan Crha 2013-07-08 09:34:19 UTC
Thanks for the update. Just in case, do you have the right package versions, please? Because from my point of view, it seems like not, or a left-over from the previous packages.

   $ rpm -q evolution-rss evolution-rspam

Comment 28 Milan Crha 2013-07-08 09:39:09 UTC
Also, what is the key the /usr/bin/gsettings-data-convert claims about, please? Just run it from a console and paste here all its output from there. Thanks in advance.

Comment 29 Klaus Heinrich Kiwi 2013-07-08 14:06:35 UTC
Ops, seems like my issue is on a totally different key:

[klausk@klausk-br-ibm-com ~]$ rpm -q evolution-rss evolution-rspam
package evolution-rss is not installed
package evolution-rspam is not installed
[klausk@klausk-br-ibm-com ~]$ gsettings-data-convert 

(gsettings-data-convert:5412): GLib-GIO-ERROR **: Settings schema 'org.gnome.packagekit' does not contain a key named 'watch-active-transactions'
Trace/breakpoint trap (core dumped)
[klausk@klausk-br-ibm-com ~]$

Comment 30 Milan Crha 2013-07-08 16:27:42 UTC
OK, no problem, Just check in which .convert file it is and then:
   $ yum provides /path/to/the/bad/file.convert
and then blame the right package :)

Comment 31 Fedora End Of Life 2013-12-21 15:43:00 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 32 Fedora End Of Life 2014-02-05 23:18:28 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.